---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/llms.txt
---

# Update an Asset. Warning: This is a beta endpoint, the payload/response can change

Replaces the Asset resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation v5",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/assets/{id}": {
      "put": {
        "operationId": "putAssetItem",
        "tags": [
          "Asset"
        ],
        "responses": {
          "200": {
            "description": "Asset resource updated",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/Asset.AssetOutput.jsonld-asset.output"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/Asset.AssetOutput-asset.output"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Asset.AssetOutput-asset.output"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/Asset.AssetOutput-asset.output"
                }
              }
            },
            "links": {
              "GetAssetItem": {
                "operationId": "getAssetItem",
                "parameters": {
                  "code": "$response.body#/code"
                },
                "description": "The `code` value returned in the response can be used as the `code` parameter in `GET /assets/{id}`."
              }
            }
          },
          "400": {
            "description": "Invalid input"
          },
          "404": {
            "description": "Resource not found"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Update an Asset. Warning: This is a beta endpoint, the payload/response can change",
        "description": "Replaces the Asset resource.",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Resource identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          },
          {
            "name": "X-Quable-Locale",
            "in": "header",
            "description": "",
            "required": false,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "requestBody": {
          "description": "The updated Asset resource",
          "content": {
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/Asset.AssetInput.jsonld-asset.input"
              }
            },
            "application/hal+json": {
              "schema": {
                "$ref": "#/components/schemas/Asset.AssetInput-asset.input"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/Asset.AssetInput-asset.input"
              }
            },
            "text/html": {
              "schema": {
                "$ref": "#/components/schemas/Asset.AssetInput-asset.input"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "Asset.AssetInput-asset.input": {
        "type": "object",
        "properties": {
          "id": {
            "pattern": "/^(?!.*[\\r\\n])[0-9a-zA-ZÀÁÂÃÄÅÑñÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝŸÇàáâãäåèéêëìíîïðòóôõöùúûüýÿç!\\x22'#$&{}()[\\]+,.;:=@\\/\\\\|_ <>°-]+$/u",
            "example": "api_identifier",
            "maximum": 255,
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "active": {
            "default": true,
            "example": true,
            "type": "boolean"
          },
          "classification": {
            "example": {
              "id": "classification-code"
            },
            "$ref": "#/components/schemas/EmbedAssetClassificationInput-asset.input"
          },
          "file": {
            "example": {
              "id": "file-uuid"
            },
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/EmbedFileInput-asset.input"
              }
            ]
          },
          "remotePath": {
            "description": "This allows to link your asset to an external file",
            "example": "https://example.com/path.jpg",
            "type": "string",
            "nullable": true
          },
          "attributes": {
            "$ref": "#/components/schemas/Attributes",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          }
        }
      },
      "Asset.AssetInput.jsonld-asset.input": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "pattern": "/^(?!.*[\\r\\n])[0-9a-zA-ZÀÁÂÃÄÅÑñÈÉÊËÌÍÎÏÒÓÔÕÖÙÚÛÜÝŸÇàáâãäåèéêëìíîïðòóôõöùúûüýÿç!\\x22'#$&{}()[\\]+,.;:=@\\/\\\\|_ <>°-]+$/u",
            "example": "api_identifier",
            "maximum": 255,
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "active": {
            "default": true,
            "example": true,
            "type": "boolean"
          },
          "classification": {
            "example": {
              "id": "classification-code"
            },
            "$ref": "#/components/schemas/EmbedAssetClassificationInput.jsonld-asset.input"
          },
          "file": {
            "example": {
              "id": "file-uuid"
            },
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/EmbedFileInput.jsonld-asset.input"
              }
            ]
          },
          "remotePath": {
            "description": "This allows to link your asset to an external file",
            "example": "https://example.com/path.jpg",
            "type": "string",
            "nullable": true
          },
          "attributes": {
            "$ref": "#/components/schemas/Attributes",
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          }
        }
      },
      "Asset.AssetOutput-asset.output": {
        "type": "object",
        "properties": {
          "name": {
            "readOnly": true,
            "type": "string"
          },
          "active": {
            "readOnly": true,
            "type": "boolean"
          },
          "external": {
            "readOnly": true,
            "type": "boolean"
          },
          "attributes": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "metadata": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "nullable": true
          },
          "url": {
            "readOnly": true,
            "type": "string"
          },
          "originalFilename": {
            "readOnly": true,
            "type": "string"
          },
          "thumbnailUrl": {
            "readOnly": true,
            "type": "string"
          },
          "previewUrl": {
            "readOnly": true,
            "type": "string"
          },
          "classifications": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Classification.ClassificationOutput-asset.output"
            }
          },
          "documentLinks": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Link.LinkOutput-asset.output"
            }
          },
          "variantLinks": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Link.LinkOutput-asset.output"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "thumbnails": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "fileSize": {
            "readOnly": true,
            "type": "integer",
            "nullable": true
          },
          "checksum": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Asset.AssetOutput.jsonld-asset.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "name": {
            "readOnly": true,
            "type": "string"
          },
          "active": {
            "readOnly": true,
            "type": "boolean"
          },
          "external": {
            "readOnly": true,
            "type": "boolean"
          },
          "attributes": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "metadata": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            },
            "nullable": true
          },
          "url": {
            "readOnly": true,
            "type": "string"
          },
          "originalFilename": {
            "readOnly": true,
            "type": "string"
          },
          "thumbnailUrl": {
            "readOnly": true,
            "type": "string"
          },
          "previewUrl": {
            "readOnly": true,
            "type": "string"
          },
          "classifications": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Classification.ClassificationOutput.jsonld-asset.output"
            }
          },
          "documentLinks": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Link.LinkOutput.jsonld-asset.output"
            }
          },
          "variantLinks": {
            "readOnly": true,
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Link.LinkOutput.jsonld-asset.output"
            }
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "thumbnails": {
            "readOnly": true,
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "fileSize": {
            "readOnly": true,
            "type": "integer",
            "nullable": true
          },
          "checksum": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Attributes": {
        "title": "Attributes",
        "description": "In this example below, keys are corresponding to attribute control type",
        "type": "array",
        "example": {
          "brut": "{ json data }",
          "checkbox": "1 | true | 0 | false",
          "combo": "[{\"id\": \"predefined-value-id\"}]",
          "datefield": "attribute date format",
          "multicombo": "[{\"id\": \"predefined-value-id1\"}, {\"id\": \"predefined-value-id2\"}]",
          "numberfield": "attribute number format",
          "textfield": {
            "labels": {
              "fr_FR": "fr_FR",
              "en_US": "en_US"
            }
          },
          "textfield_notranslate": "untranslated text",
          "timefield": "attribute time format"
        }
      },
      "Classification.ClassificationOutput-asset.output": {
        "type": "object",
        "properties": {
          "catalogId": {
            "type": "string",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "legacyId": {
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Classification.ClassificationOutput.jsonld-asset.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "catalogId": {
            "type": "string",
            "nullable": true
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          },
          "legacyId": {
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "EmbedAssetClassificationInput-asset.input": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          }
        }
      },
      "EmbedAssetClassificationInput.jsonld-asset.input": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "type": "string"
          }
        }
      },
      "EmbedFileInput-asset.input": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          }
        }
      },
      "EmbedFileInput.jsonld-asset.input": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "type": "string"
          }
        }
      },
      "Identifier": {
        "title": "Identifier",
        "type": "string",
        "description": "This is the unique identifier of the resource",
        "pattern": "^[\\w\\s\\/|_.,&+-]+$",
        "maxLength": 255,
        "example": "identifier_example"
      },
      "Link.LinkOutput-asset.output": {
        "type": "object",
        "properties": {
          "linkType": {
            "readOnly": true,
            "$ref": "#/components/schemas/LinkType.LinkTypeOutput-asset.output"
          },
          "origin": {
            "readOnly": true,
            "type": "string"
          },
          "target": {
            "readOnly": true,
            "type": "string"
          },
          "sequence": {
            "readOnly": true,
            "type": "integer"
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "Link.LinkOutput.jsonld-asset.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "linkType": {
            "readOnly": true,
            "$ref": "#/components/schemas/LinkType.LinkTypeOutput.jsonld-asset.output"
          },
          "origin": {
            "readOnly": true,
            "type": "string"
          },
          "target": {
            "readOnly": true,
            "type": "string"
          },
          "sequence": {
            "readOnly": true,
            "type": "integer"
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "readOnly": true,
            "type": "string"
          },
          "legacyId": {
            "readOnly": true,
            "deprecated": true,
            "type": "integer"
          }
        }
      },
      "LinkType.LinkTypeOutput-asset.output": {
        "type": "object",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      },
      "LinkType.LinkTypeOutput.jsonld-asset.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "$ref": "#/components/schemas/Identifier",
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ],
  "x-readme": {}
}
```